<app-header titulo="date time"></app-header>



<ion-content>

    <ion-list>

        <ion-list-header>
            <ion-label>Datos de nacimiento nuevo commit</ion-label>
        </ion-list-header>

        <ion-item>
            <ion-label>Fecha de nacimiento con git</ion-label>
            <ion-datetime placeholder="Nacimiento" 
                        display-format="YYYY MMMM DD" 
                        cancelText="Cancelar!!!" 
                        [ngModel]="fechaNaci.toISOString()" 
                        (ionChange)="cambioFecha ( $event ) "></ion-datetime>
        </ion-item>


        <ion-list-header>
            <ion-label>Restricciones</ion-label>
        </ion-list-header>

        <ion-item>
            <ion-label>Min y max</ion-label>
            <ion-datetime placeholder="yyyy-mm-dd" 
                          display-format="YYYY MMMM DD" 
                          min="2015-01-01" 
                          max="2015-12-31"></ion-datetime>


        </ion-item>

        <ion-item>
            <ion-label>años</ion-label>
            <ion-datetime placeholder="YYYY" 
                            display-format="YYYY" 
                            min="2015" 
                            max="2025" 
                            value="2020"></ion-datetime>
        </ion-item>

        <ion-item>
            <ion-label>Custom date</ion-label>
            <ion-datetime [pickerOptions]="customPickerOptions" [(ngModel)]="customDate"></ion-datetime>
        </ion-item>

    </ion-list>



</ion-content>